export const tasks = {
  trigger: {
    name: 'Trigger',
    icon: 'riFlashlightLine',
    component: 'BlockBasic',
    editComponent: 'EditTrigger',
    category: 'general',
    inputs: 0,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      description: '',
      type: 'manual',
    },
  },
  'event-click': {
    name: 'Click element',
    icon: 'riCursorLine',
    component: 'BlockBasic',
    editComponent: 'EditInteractionBase',
    category: 'interaction',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      description: '',
      selector: '',
      multiple: false,
    },
  },
  delay: {
    name: 'Delay',
    icon: 'riTimerLine',
    component: 'BlockDelay',
    editComponent: 'EditTrigger',
    category: 'general',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      time: 500,
    },
  },
  'get-text': {
    name: 'Get text',
    icon: 'riParagraph',
    component: 'BlockBasic',
    editComponent: 'EditGetText',
    category: 'interaction',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      description: '',
      selector: '',
      multiple: false,
      regex: '',
      dataColumn: '',
    },
  },
  'export-data': {
    name: 'Export data',
    icon: 'riDownloadLine',
    component: 'BlockExportData',
    editComponent: 'EditTrigger',
    category: 'general',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      type: 'JSON',
    },
  },
  'element-scroll': {
    name: 'Scroll element',
    icon: 'riMouseLine',
    component: 'BlockBasic',
    editComponent: 'EditTrigger',
    category: 'interaction',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      description: '',
      selector: '',
      multiple: false,
      scrollY: 0,
      scrollX: 0,
    },
  },
  'get-attribute': {
    name: 'Get attribute',
    icon: 'riBracketsLine',
    component: 'BlockBasic',
    editComponent: 'EditTrigger',
    category: 'interaction',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      description: '',
      selector: '',
      multiple: false,
    },
  },
  'open-website': {
    name: 'Open website',
    icon: 'riGlobalLine',
    component: 'BlockOpenWebsite',
    editComponent: 'EditTrigger',
    category: 'general',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      url: '',
    },
  },
  'text-input': {
    name: 'Text input',
    icon: 'riInputCursorMove',
    component: 'BlockBasic',
    editComponent: 'EditTrigger',
    category: 'interaction',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      description: '',
      selector: '',
      multiple: false,
      text: '',
    },
  },
  'repeat-task': {
    name: 'Repeat task',
    icon: 'riRepeat2Line',
    component: 'BlockRepeatTask',
    editComponent: 'EditTrigger',
    category: 'general',
    inputs: 1,
    outputs: 2,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      repeatFor: 1,
    },
  },
  'reload-page': {
    name: 'Reload page',
    icon: 'riRestartLine',
    component: 'BlockBasic',
    category: 'interaction',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    disableEdit: true,
    data: {},
  },
  'trigger-element-events': {
    name: 'Trigger element events',
    icon: 'riLightbulbFlashLine',
    component: 'BlockBasic',
    editComponent: 'EditTrigger',
    category: 'interaction',
    inputs: 1,
    outputs: 1,
    allowedInputs: [],
    maxConnection: 1,
    data: {
      description: '',
      selector: '',
      multiple: false,
      events: [],
    },
  },
  comparison: {
    name: 'Comparison',
    icon: 'riAB',
    component: 'BlockComparison',
    category: 'conditions',
    inputs: 1,
    outputs: 0,
    allowedInputs: [],
    maxConnection: false,
    data: {
      comparison: [],
    },
  },
  'contains-text': {
    name: 'Contains text',
    icon: 'riTBoxLine',
    component: 'BlockComparison',
    category: 'conditions',
    inputs: 1,
    outputs: 0,
    allowedInputs: [],
    maxConnection: false,
    data: {
      contains: [],
    },
  },
  'element-exists': {
    name: 'Element exists',
    icon: 'riFocus3Line',
    component: 'BlockElementExists',
    category: 'conditions',
    inputs: 1,
    outputs: 0,
    allowedInputs: [],
    maxConnection: false,
    data: {
      selector: '',
    },
  },
};

export const categories = {
  interaction: {
    name: 'Web interaction',
    color: 'bg-green-200',
  },
  general: {
    name: 'General',
    color: 'bg-yellow-200',
  },
  conditions: {
    name: 'Conditions',
    color: 'bg-blue-200',
  },
};
